Package org.mozilla.javascript

## Class Sorting

- java.lang.Object
- - org.mozilla.javascript.Sorting

-     public final class Sorting
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Sorting` | `get()` |
    `void` | `hybridSort​(java.lang.Object[] a, java.util.Comparator<java.lang.Object> cmp)` |
    `void` | `insertionSort​(java.lang.Object[] a, java.util.Comparator<java.lang.Object> cmp)` |
    `int` | `median​(java.lang.Object[] a, int start, int end, java.util.Comparator<java.lang.Object> cmp)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public static Sorting get()

    - #### insertionSort

          public void insertionSort​(java.lang.Object[] a,
                                    java.util.Comparator<java.lang.Object> cmp)

    - #### hybridSort

          public void hybridSort​(java.lang.Object[] a,
                                 java.util.Comparator<java.lang.Object> cmp)

    - #### median

          public int median​(java.lang.Object[] a,
                            int start,
                            int end,
                            java.util.Comparator<java.lang.Object> cmp)